FROM node:alpine3.13
#API
ARG HTTP_PORT
#Swagger
ARG API_URL
#MongoDB
ARG MONGO_USER
ARG MONGO_PASSWORD
ARG MONGO_HOST
ARG MONGO_PORT
ARG MONGO_DEFAULT_COLLECTION


 # Webserver 
ENV HTTP_PORT ${HTTP_PORT}
#Swagger
ENV API_URL ${API_URL}
#MongoDB
ENV MONGO_USER ${MONGO_USER}
ENV MONGO_PASSWORD ${MONGO_PASSWORD}
ENV MONGO_HOST ${MONGO_HOST}
ENV MONGO_PORT ${MONGO_PORT}
ENV MONGO_DEFAULT_COLLECTION ${MONGO_DEFAULT_COLLECTION}

WORKDIR /usr/src/app
COPY . .

RUN npm install


EXPOSE 3000


CMD [ "node", "index.js" ]